Search by IFSC
Introduction
This API allows users to search for the details of the bank branch using IFSC code.
How to call the API
You are required to pass the access token received from the login call to the authorization header of the request.
API Input Guidelines
You need to pass the ifsc code in the request body and access token received from login in the respective authorization header.
Sample Curl
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/...patronId.../banksearchs' \
--header 'Content-Type: application/json' \
--header 'Authorization: ...Authorization token...' \
--data '{
"task": "ifscCode",
"essentials": {
"ifscCode": "...ifscCode..."
}
}'Input Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
Authorization | Access Token for authentication and authorization |
Content-Type | Specifies the format of the data sent in the request body |
type | Type of the task - "ifscCode" |
essentials | Contains the essential input data |
essentials.ifscCode | Ifsc code whose details are to be searched |
Sample Response
{
"essentials": {
"ifscCode": "..ifscCode..."
},
"id": "6486a54901f7220c885ae287",
"patronId": "62021e18ff3b936b6df116b4",
"task": "ifscCode",
"result": {
"bankName": "..bankName...",
"address": "..address..",
"state": "..state..",
"district": "..district...",
"branch": "..branch...",
"contact": "..contact..",
"ifscCode": "..ifscCode...",
"micrCode": "..micrCode...",
"splitAddress": {
"state": [
[]
],
"district": [],
"city": [],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
}
}
}Output Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
type | Type of the task - "ifscCode" |
essentials | Contains "essentials" key of the request body |
essentials.ifscCode | Ifsc code whose details are to be searched |
id | Unique id of user |
patronId | Unique patronId of user |
result | The resulting json object containing search results |
result.bankName | Name of bank |
result.address | Address of bank |
result.state | State of the bank |
result.district | District of the bank |
result.branch | Branch of bank |
result.contact | Contact number of bank |
result.ifscCode | Ifsc code associated with bank |
result.micrCode | micr code associated with bank |
result.splitAddress | A json object containing a breakdown of the address into individual components |
result.splitAddress.state | An array of state abbreviations |
result.splitAddress.district | An array of district abbreviations |
result.splitAddress.city | An array of city abbreviations |
result.splitAddress.pincode | The pincode |
result.splitAddress.country | An array of country abbreviations |
result.splitAddress.addressLine | The street address |
Status Codes
CODE | MESSAGE |
|---|---|
200 | OK |
404 | Provided IFSC Code not found |
400 | Please enter a valid IFSC Code |

Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].